package com.diagbot.client.hystrix;


import com.diagbot.client.AuthServiceClient;
import com.diagbot.entity.JWT;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @Description: 请求认证授权服务器客户端（请求失败熔断）
 * @author: gaodm
 * @time: 2018/8/2 13:37
 */
@Component
@Slf4j
public class AuthServiceHystrix implements AuthServiceClient {
    @Override
    public JWT getToken(String authorization, String type, String username, String password) {
        log.error("【hystrix】调用{}异常","getToken");
        return null;
    }
}
